Skip to main content

Round Info

Request Example

POST /serviceApi.php HTTP/1.1
Content-Type: application/json
https://stg.otkgaming.com/serviceApi.php
{
"action" : "getGameRound",
"platform" : 8,
"partnerId" : 1,
"time" : "24-03-2021 11:03:04",
"data": {
"roundId": 27731,
"logMonth": 0
},
"hash" : "36435dd6e55d8926e2b97c4ae7450bee"
}


Property NameDescriptioTypeNotes
actionrequest typestring
platformplatform identifierintegerunique per platform
partnerIdidentifier of partner on the platformnumberunique per platform
timerequest timestringdd-mm-yyyy hh:mm:ss
data[roundId]bet transaction idbiginttransaction id is provided from game provider side
data[logMonth]month passed from current monthinteger
hashcalculated sha256 string (privateKey provided game provider’s side)stringhash string is calculated based on privateKey, time, and "data" in JSON string. Example $hash = hash("sha256", "privateKey15-02-2023 15:31:31json_encode(data)

Response Example

https://stg.otkgaming.com
{
"code" : 0,
"message" : "ok",
"data" : [
{
"id" : 4510,
"gameId": 46,
"action": "spin",
"bet" : 100,
"win" : 10,
"currencyName" : "AMD",
"roundId" : 27731,
"actionTime" : "2022-10-17 14:22:27",
"source": 1,
"url" : "round info link"
}
]
}